
@define-color view_fg_color @window_fg_color;

@define-color accent_color shade(@theme_color, 0.8);
@define-color accent_bg_color @theme_color;

@define-color card_shade_color shade(@theme_color, 0.8);

@define-color headerbar_bg_color transparent;
@define-color headerbar_fg_color @window_fg_color;
@define-color headerbar_border_color @borders;
@define-color headerbar_backdrop_color transparent;

@define-color notebooks_bar_bg_color shade(@window_bg_color, 0.96);
@define-color notebooks_bar_fg_color shade(@window_fg_color, 0.4);

@define-color suggest_button_bg_color alpha(shade(@theme_color, 1.5), 0.28);
@define-color suggest_button_bg_color_hover shade(@suggest_button_bg_color, 0.85);

@define-color selected_bg_color shade(mix(@theme_color, #eeffdd, 0.25), 1.56);


.notebooks-bar {
  transition: color .5s, background-color .5s;
}
window, headerbar {
  transition: color .3s, background-color .3s;
}

listview, window.transparent {
  background-color: transparent;
}

searchbar box,
headerbar {
  border: none;
  box-shadow: none;
}

.preferences headerbar,
searchbar.overlaid box,
headerbar.bordered,
headerbar.overlaid {
  box-shadow: inset 0 -1px @headerbar_border_color;
}

/*
 *
 *   NOTEBOOKS BAR
 *
 */

.notebooks-bar {
  background-color: @notebooks_bar_bg_color;
  color: @notebooks_bar_fg_color;
}

.notebooks-bar > button,
.notebooks-bar > windowhandle > menubutton {
  margin: 6px;
}

.notebooks-bar > headerbar > windowhandle > box {
  padding: 0;
}

.notebooks-bar .all-button {
  border-radius: 0;
}

.notebooks-bar > .trash-button {
  border-radius: 0 0 0 10px;
}

.notebooks-bar .all-button,
.notebooks-bar > .trash-button,
.notebooks-bar listview row.activatable {
  margin: 0px;
  min-width: 26px;
  min-height: 34px;
  padding-bottom: 8px;
  padding-top: 8px;
  transition: box-shadow .2s, background-color .1s;
}

.notebooks-bar > .trash-button.overlaid {
  border-top: solid 1px @borders;
}

.notebooks-bar .all-button:checked,
.notebooks-bar > .trash-button:checked,
.notebooks-bar listview row.activatable:selected {
  box-shadow:
    inset 0 1px 0 0 @borders,
    inset 0 -1px 0 0 @borders,
    inset 3px 0 0 0 @accent_color;
  background-color: @window_bg_color;
}

.notebooks-bar > .trash-button:checked {
  box-shadow:
    inset 0 1px 0 0 @borders,
    inset 0 -1px 0 0 @borders,
    inset 3px -3px 0 0 @accent_color;
}

.notebooks-bar .all-button:hover:not(:checked),
.notebooks-bar > .trash-button:hover:not(:checked),
.notebooks-bar listview row.activatable:hover:not(:selected) {
  background-color: alpha(@window_fg_color, 0.06);
}

.notebooks-bar .all-button:checked
.notebooks-bar > .trash-button:checked {
  box-shadow:
    0 -1px 0 0 @borders,
    0 1px 0 0 @borders,
    inset 3px -3px 0 0 @notebooks_bar_fg_color;
}

.notebook {
  transition: opacity .1s;
  opacity: 0.75;
  background-image:
    linear-gradient(
      mix(@notebook_color, #fff, 0.15) 0%,
      mix(@notebook_color, #fff, 0.1) 50%,
      alpha(mix(@notebook_color, #fff, 0.05), 0.6) 75%,
      alpha(@notebook_color, 0) 100%
    ),
    linear-gradient(mix(@notebook_color, #fff, 0.2), @notebook_color);

  border-radius: 0 3px 3px 0;

  min-width: 26px;
  min-height: 34px;

  color: @notebook_fg_color;

  box-shadow:
    inset 0 .5px 0px 0px rgba(255, 255, 255, 0.2),

    inset 3px 0 0 0 shade(@notebook_color, 0.8),

    inset 0 -2px 0px 0px #f0f3f8,
    inset 0 -1px 0px 0px @notebook_color,

    inset 1px 0 0 0 shade(@notebook_color, 0.8),
    inset 0 -3px 0px 0px rgba(0, 0, 0, 0.2);
}

.notebook-preview,
row.activatable:hover .notebook,
row.activatable:selected .notebook {
  opacity: 1;
}

.notebook > label {
  text-shadow: 0 1px 1px rgba(0, 0, 0, .1);
  font-weight: 700;
  font-size: 14px;
}

.notebook > image {
  -gtk-icon-shadow: 0 1px 1px rgba(0, 0, 0, .1);
  -gtk-icon-size: 14px;
}

.notebook-preview {
  transform: scale(2.4);
  margin: 32px;
}

.icon-selector child {
  padding: 8px;
  -gtk-icon-size: 24px;
}

.icon-selector gridview {
  background: 0;
}

window.tiled-left .notebooks-bar > .trash-button,
window.tiled-bottom .notebooks-bar > .trash-button {
  border-radius: 0;
}

window.tiled-left .notebooks-bar > .trash-button:checked,
window.tiled-bottom .notebooks-bar > .trash-button:checked {
  box-shadow:
    0 -1px 0 0 @borders,
    0 1px 0 0 @borders,
    inset 3px 0 0 0 @notebooks_bar_fg_color;
}


/*
 *
 *   NOTEBOOK SIDEBAR
 *
 */

.custom-popover-menu > * {
  padding: 6px;
}

.modelbutton {
  font-weight: 400;
  padding-left: 12px;
  padding-right: 12px;
  padding-top: 0;
  padding-bottom: 0;
  min-height: 32px;
  color: @popover_fg_color;
}

.notebook-sidebar {
  border-right: solid 1px @borders;
  border-left: solid 1px @borders;
  background-color: @window_bg_color;
}

.notebook-sidebar listview {
  padding: 3px 0;
}

.notebook-sidebar listview row {
  padding: 0;
  background: 0;
}

.notebook-sidebar listview row:focus {
  border: none;
  box-shadow: none;
  outline: none;
}

.notebook-sidebar listview row > box {
  transition: box-shadow .1s, background-color .2s, outline .1s, outline-offset .1s;
  outline: 3px solid transparent;
  outline-offset: 5px;
  padding: 11px 10px;
  margin: 3px 6px;
  border-radius: 8px;
}

.notebook-sidebar listview row:hover:not(:selected):not(:active) > box {
  transition: box-shadow .2s, background-color .1s, outline .1s, outline-offset .1s;
  background-color: rgba(0, 0, 0, .05);
}

.notebook-sidebar listview row:active > box {
  transition: box-shadow .3s, background-color .4s, outline .1s, outline-offset .1s;
  background-color: rgba(0, 0, 0, .12);
}

.notebook-sidebar listview row:selected > box {
  transition: box-shadow .2s, background-color 0, outline .1s, outline-offset .1s;
  background-color: @selected_bg_color;
  box-shadow:
    0 6px 8px -4px  alpha(@card_shade_color, 0.2),
    0 3px 2px -2px  alpha(@card_shade_color, 0.2),
    inset 0 0 0 1px @accent_color,
    inset 0 0 0 1px @borders;
}

.notebook-sidebar listview row:focus:not(:selected):not(:active) > box {
  transition: box-shadow .1s, background-color .2s, outline .2s, outline-offset .2s;
  outline: 2px solid alpha(@accent_color, .5);
  outline-offset: -1px;
}


/*
 *
 *   TEXT VIEW
 *
 */

.text-area {
  background-color: @view_bg_color;
}

.text-area gutterrenderer {
  background-color: @view_bg_color;
  color: alpha(@view_fg_color, 0.36);
  min-width: 32px;
  font-size: 12px;
}

.markdown-view {
  margin-right: 8px;
}

.markdown-view:disabled text {
  background: @view_bg_color;
}

.bottom-toolbar {
  background-color: @view_bg_color;
  color: @view_fg_color;
  box-shadow: inset 0 1px @borders;
}

.bottom-toolbar button.combo:not(:hover):not(:checked) {
  background: transparent;
}


/*
 *
 *   NOTEBOOK LIST
 *
 */

.notebook-list {
  padding: 3px 0;
}

.notebook-list row {
  padding: 0;
  background: 0;
}

.notebook-list row:focus {
  border: none;
  box-shadow: none;
  outline: none;
}

.notebook-list row > box {
  outline: 3px solid transparent;
  outline-offset: 5px;
  padding: 0px 6px;
  margin: 3px 6px;
  border-radius: 8px;
}

.notebook-list row:hover:not(:selected):not(:active) > box {
  background-color: rgba(0, 0, 0, .05);
}

.notebook-list row:active > box {
  background-color: rgba(0, 0, 0, .18);
}

.notebook-list row:selected > box {
  background-color: @accent_bg_color;
  color: @accent_fg_color;
}

.notebook-list row:focus:not(:selected):not(:active) > box {
  transition: outline .2s, outline-offset .2s;
  outline: 2px solid alpha(@accent_color, .5);
  outline-offset: -1px;
}

.notebook-list row .notebook {
  margin: 0px;
  transform: scale(.56);
}
